CC=sccstrw
CFLAGS=
LD=pdld
LDFLAGS=--no-insert-timestamp
AS=pdas
AR=ar

OBJS=	lib/crtwin.o \
        lib/init.o	\
	lib/abort.o	\
	lib/abs.o	\
	lib/atexit.o	\
	lib/atoi.o	\
	lib/bsearch.o	\
	lib/clearerr.o	\
	lib/ctime.o	\
	lib/ctype.o	\
	lib/difftime.o	\
	lib/exit.o	\
	lib/fclose.o	\
	lib/fdopen.o	\
	lib/feof.o	\
	lib/ferror.o	\
	lib/fflush.o	\
	lib/fgetc.o	\
	lib/fgetpos.o	\
	lib/fgets.o	\
	lib/fileno.o	\
	lib/fopen.o	\
	lib/fprintf.o	\
	lib/fputc.o	\
	lib/fputs.o	\
	lib/fread.o	\
	lib/freopen.o	\
	lib/fscanf.o	\
	lib/fseek.o	\
	lib/fsetpos.o	\
	lib/ftell.o	\
	lib/fwrite.o	\
	lib/getchar.o	\
	lib/getenv.o	\
	lib/memchr.o	\
	lib/memcmp.o	\
	lib/memcpy.o	\
	lib/memmove.o	\
	lib/memset.o	\
	lib/perror.o	\
	lib/printf.o	\
	lib/putchar.o	\
	lib/puts.o	\
	lib/qsort.o	\
	lib/rand.o	\
	lib/remove.o	\
	lib/rename.o	\
	lib/rewind.o	\
	lib/scanf.o	\
	lib/setbuf.o	\
	lib/setvbuf.o	\
	lib/sprintf.o	\
	lib/sscanf.o	\
	lib/strcat.o	\
	lib/strchr.o	\
	lib/strcmp.o	\
	lib/strcpy.o	\
	lib/strcspn.o	\
	lib/strdup.o	\
	lib/strerror.o	\
	lib/strlen.o	\
	lib/strncat.o	\
	lib/strncmp.o	\
	lib/strncpy.o	\
	lib/strpbrk.o	\
	lib/strrchr.o	\
	lib/strspn.o	\
	lib/strtok.o	\
	lib/strtol.o	\
	lib/system.o	\
	lib/time.o	\
	lib/tmpfile.o	\
	lib/tmpnam.o	\
	lib/ungetc.o	\
	lib/vformat.o	\
	lib/vscan.o

all: clean libscc.a

libscc.a:	$(OBJS)
  $(AR) s libscc.a

.c.o:
  rm -f $*.s
  $(CC) -S $*.c
  $(AS) -o $@ --oformat coff $*.s
  rm -f $*.s
  $(AR) r libscc.a $@

.asm.o:
  $(AS) -o $@ --oformat coff $<
  $(AR) r libscc.a $@

clean:
  rm -f *.o
  rm -f libscc.a
